import bb.cascades 1.0

Container {
    property bool initialized: false
    signal myCheckedChanged(bool checked)
    layout: StackLayout {
        orientation: LayoutOrientation.RightToLeft
    }
    horizontalAlignment: HorizontalAlignment.Left
    ToggleButton {
        id: checkBox
        checked: false
        verticalAlignment: VerticalAlignment.Center
        onCheckedChanged: {
            if (initialized) {
                myCheckedChanged(checked)
            }
        }
    }
    Label {
        id: label
        verticalAlignment: VerticalAlignment.Center
        layoutProperties: StackLayoutProperties {
            spaceQuota: 0.1
        }
    }
    property alias labelMinWidth: label.minWidth
    property alias labelMaxWidth: label.maxWidth
    property alias text: label.text
    property alias checked: checkBox.checked
}
